% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api_slides_auth.R
\name{ladder_token}
\alias{ladder_token}
\title{Produce configured token}
\usage{
ladder_token()
}
\value{
A \code{request} object (an S3 class provided by \link[httr:httr-package]{httr}).
}
\description{
For internal use or for those programming around the Slides API.
Returns a token pre-processed with \code{\link[httr:config]{httr::config()}}. Most users
do not need to handle tokens "by hand" or, even if they need some
control, \code{\link[=ladder_auth]{ladder_auth()}} is what they need. If there is no current
token, \code{\link[=ladder_auth]{ladder_auth()}} is called to either load from cache or
initiate OAuth2.0 flow.
If auth has been deactivated via \code{\link[=ladder_deauth]{ladder_deauth()}}, \code{ladder_token()}
returns \code{NULL}.
}
\examples{
\dontshow{if (interactive()) (if (getRversion() >= "3.4") withAutoprint else force)(\{ # examplesIf}
ladder_token()
\dontshow{\}) # examplesIf}
}
\seealso{
Other low-level API functions: 
\code{\link{ladder_has_token}()}
}
\concept{low-level API functions}
